/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         
         
         

      });
      //Edge binding end
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         /*
         	ROTACIÓN ALEATORIA
         	X=0;
         	X=364;
         	X=727;
         	X=1091;
         	X=1455;
         
         	VOCALES
         
         	A = X EN 1818;
         	E = X EN 2182;
         	I = X EN 2545;
         	O = X EN 2909;
         	U = X EN 3273;
         	cohete = X en 3637;
         	tigre = X en 4000;
         	flor = X en 4363;
         */
         
         // Arreglo que almacena la posición de cada vocal y las imagenes del movimiento del cubo
         var posiciones = ["0","-364","-727","-1091","-1455","-1818","-2182",
         						"-2545","-2909","-3273","-3637","-4000","-4363"];
         
         sym.$('#Stage_hotspot').css('visibility', 'hidden');
         
         // Función para mostrar aleatoriamente una de las 5 vocales
         function lanzarCubo(){
         	var counter = 0;	
         	var nAl = 0;
         	sym.$('#Stage_hotspot').css('visibility', 'visible');
         	var looper = setInterval(function(){    	
             	var ladoAleatorio = Math.floor(Math.random() * (13-5)+5); 
             	if(nAl>4){
             		nAl = 0;
             	}
             	$('#Stage_cubo').css("backgroundPosition",posiciones[nAl]+"px 0px");
             	if (counter >= 8)
             	{
                 	clearInterval(looper);
                 	sym.$('#Stage_hotspot').css('visibility', 'hidden');
                 	$('#Stage_cubo').css("backgroundPosition",posiciones[ladoAleatorio]+"px 0px");
             	}    	
             	counter++;
             	nAl++;
         	}, 350);
         }
         
         
         $('#Stage_boton').click( function(){
         	lanzarCubo();
         });
         
         /*
         $( "#foo" ).one( "click", function() {
         alert( "This will be displayed only once." );
         });
         */

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

})(jQuery, AdobeEdge, "EDGE-5531445");